> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/form/wisej.web.formstartposition.md).

# FormStartPosition

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the initial position of a form.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum FormStartPosition : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum FormStartPosition As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                | Description                                                                                                    |
| ------------------- | -------------------------------------------------------------------------------------------------------------- |
| **CenterParent**    | The form is centered within the bounds of its parent form.                                                     |
| **CenterScreen**    | The form is centered on the current display, and has the dimensions specified in the form's size.              |
| **DefaultLocation** | The form is positioned at the default location and has the dimensions specified in the form's size.            |
| **Manual**          | The position of the form is determined by the [Location](/api/wisej.web/general/control.md#location) property. |

## Used By

| Name                                                                                                                                 | Description                                                                                                                                                     |
| ------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Form.StartPosition](/api/wisej.web/containers/form.md#startposition)                                                                | Returns or sets the starting position of the form at run time.                                                                                                  |
| [FormExtensions.StartPosition](/api/wisej.web.markup/extensions/wisej.web.markup.formextensions.md#startposition-form-startposition) | Sets the start position for the specified [Form](/api/wisej.web/containers/form.md) control, determining the initial position of the form when it is displayed. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/form/wisej.web.formstartposition.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
